Robot Simulator of the Robotics Group for Self-Organization of Control: ConfigurableList Class Reference

# ConfigurableList Class Reference

Establishes for some methods the notifications for registered Callbackable instances (use addCallbackable(. More...

`#include <configurablelist.h>`

Inherits BackCaller.

Collaboration diagram for ConfigurableList:
[legend]

List of all members.

## Public Member Functions
| ConfigurableList ()
virtual | ~ConfigurableList ()
void | push_back (Configurable *const &configurable)
iterator | erase (iterator pos)
void | pop_back ()
void | clear ()
## Static Public Attributes
static const CallbackableType | CALLBACK_CONFIGURABLE_LIST_MODIFIED = 3
| Indicates that the list has been modified, a Configurable instance was either added or removed.
static const CallbackableType | CALLBACK_CONFIGURABLE_LIST_BEING_DELETED = 4
| Indicates that the list is being deleted.

## Detailed Description

Establishes for some methods the notifications for registered Callbackable instances (use addCallbackable(.

..)).

Warning:
  Only the following methods are currently supported: push_back(...), pop_back(), erase() and clear()! You can use iterators with the limitation to not delete or insert.

## Constructor & Destructor Documentation

ConfigurableList | ( |  | ) |

~ConfigurableList | ( |  | ) | `[virtual]`

## Member Function Documentation

void clear | ( |  | ) |

ConfigurableList::iterator erase | ( | iterator | pos | ) |

void pop_back | ( |  | ) |

void push_back | ( | Configurable *const & | configurable | ) |

Examples:
  template_sphererobot/main.cpp.

## Member Data Documentation

const CallbackableType CALLBACK_CONFIGURABLE_LIST_BEING_DELETED = 4`[static]`

Indicates that the list is being deleted.

const CallbackableType CALLBACK_CONFIGURABLE_LIST_MODIFIED = 3`[static]`

Indicates that the list has been modified, a Configurable instance was either added or removed.

The documentation for this class was generated from the following files:

- configurablelist.h
- configurablelist.cpp